<!DOCTYPE HTML>
<html>
	<head>
		<title>WebSocket Test</title>
	</head>
	<body>
		<form>
			<input id="textMessage" type="text">
			<input onclick="sendMessage();" value="Send Message" type="button">
		</form>
		<br>
		<textarea id="messagesTextArea" rows="10" cols="50"></textarea>
	</body>
	
	<script type="text/javascript">
		var webSocket = new WebSocket("ws://localhost:8080/RWA_project/websocket");
		var messagesTextArea = document.getElementById("messagesTextArea");

		webSocket.onopen = function(message) { processOpen(message); };
		webSocket.onmessage = function(message) { processMessage(message); }
		webSocket.onclose = function(messages) { processClose(message); };
		webSocket.onerror = function(messages) { processError(message); };

		function processOpen(message) {
			messagesTextArea.value += "Server Connected..." + "\n";
		}

		function processMessage(message) {
			messagesTextArea.value += "Recevied from server ==> " + message.data + "\n";
		}

		function processClose(message) {
			webSocket.send("Client disconnected...");
			messagesTextArea.value += "Server disconnected..." + "\n";
		}

		function processError(message) {
			messagesTextArea.value += "Error..." + "\n";
		}

		function sendMessage() {
			if(textMessage.value != "close") {
				webSocket.send(textMessage.value);
				messagesTextArea.value += "Send to server ==> " + textMessage.value + "\n";
				textMessage.value = "";

			}
			else
				webSocket.close();
		}
		
		
	</script>
	
</html>